%define VER 2000-01-24
%define APEL 10.1

Name: xemacs-sumo
Version: 20000124
Release: 3
Serial: 2000030202
Copyright: GPL
Group: Applications/Editors/Emacs
Packager: Shoichi Suzuki <show-1@turbolinux.co.jp>
Source0: ftp://ftp.xemacs.org/pub/xemacs/packages/%{name}-%{VER}.tar.gz
Source1: ftp://ftp.xemacs.org/pub/xemacs/packages/xemacs-mule-sumo-%{VER}.tar.gz
Source6: man.el
Source7: man.elc
Source8: time-stamp.el
Source9: time-stamp.elc
Source10: apel-xemacs-%{APEL}-sumo.tar.gz
Patch0: localhost:/xemacs-bbdb-perl.patch
URL: http://www.xemacs.org/
BuildRoot: /var/tmp/%{name}-root
BuildArch: noarch
Summary: XEmacs "SUMO" packages (including mule-sumo)
Summary(ja): XEmacs ѥѥå "SUMO" ( mule-sumo)
BuildRequires: xemacs >= 21.1.8

%description 
This contains various "SUMO" packages for XEmacs >= 21.
The components of this package are:

xemacs-sumo      (1999-12-15 release)
xemacs-mule-sumo (1999-12-15 release)

%description -l ja 
XEmacs >= 21 Ѥ "SUMO" ѥåǤ
ƼͭѤEmacs Lispǽ񤫤줿ġ뤬äƤޤ
Υ꡼ǤϡʲΤΤѥå󥰤Ƥޤ

xemacs-sumo      (1999-12-15 )
xemacs-mule-sumo (1999-12-15 )

%package el
Group: Applications/Editors/Emacs
Summary: Emacs Lisp source files of sumo and mule-sumo
Summary(ja): XEmacs  sumo, mule-sumo  elisp ե
Requires: xemacs  >= 21.1.8
Requires: %{name} = %{version}

%description el
This contains the source files of sumo and mule-sumo packages
for XEmacs >= 21. This package is not necessary to run XEmacs.

%description -l ja el
XEmacs >= 21 Ѥ "SUMO" ( mule-sumo)ѥå
Emacs Lisp ե뤬Ƥޤ
XEmacs ưΤɬܤǤϤޤ


%prep
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/usr/lib/xemacs
mkdir -p ${RPM_BUILD_ROOT}/usr/share/skk

%setup -T -c %{name}-%{version}
tar -zxf %{SOURCE0} -C ${RPM_BUILD_ROOT}/usr/lib/xemacs/
tar -zxf %{SOURCE1} -C ${RPM_BUILD_ROOT}/usr/lib/xemacs/

## remove apel-1.15 (9.20)
#
rm -rf ${RPM_BUILD_ROOT}/usr/lib/xemacs/xemacs-packages/lisp/apel/
rm -rf ${RPM_BUILD_ROOT}/usr/lib/xemacs/xemacs-packages/pkginfo/MANIFEST.apel

## add new version apel
tar -zxf %{SOURCE10} -C ${RPM_BUILD_ROOT}/usr/lib/xemacs/xemacs-packages/lisp/
mv ${RPM_BUILD_ROOT}/usr/lib/xemacs/xemacs-packages/lisp/MANIFEST.apel ${RPM_BUILD_ROOT}/usr/lib/xemacs/xemacs-packages/pkginfo/

## remove mew-1.08 (1.93b48)
#
rm -rf ${RPM_BUILD_ROOT}/usr/lib/xemacs/xemacs-packages/etc/mew
rm -rf ${RPM_BUILD_ROOT}/usr/lib/xemacs/xemacs-packages/info/mew*info*
rm -rf ${RPM_BUILD_ROOT}/usr/lib/xemacs/xemacs-packages/lisp/mew
rm -rf ${RPM_BUILD_ROOT}/usr/lib/xemacs/xemacs-packages/man/mew
rm -rf ${RPM_BUILD_ROOT}/usr/lib/xemacs/xemacs-packages/pkginfo/MANIFEST.mew

%build
%install
## replace man.{el,elc} with patched verions
#
install -m 644 %{SOURCE6} %{SOURCE7} \
   ${RPM_BUILD_ROOT}/usr/lib/xemacs/xemacs-packages/lisp/edit-utils/.

## replace time-stamp.{el,elc} with modified verions
#
install -m 644 %{SOURCE8} %{SOURCE9} \
   ${RPM_BUILD_ROOT}/usr/lib/xemacs/xemacs-packages/lisp/xemacs-base/.

## gzip all el files
#
gzip -9 `find ${RPM_BUILD_ROOT}/usr/lib/xemacs/xemacs-packages/ -name \*.el`
gzip -9 `find ${RPM_BUILD_ROOT}/usr/lib/xemacs/mule-packages/ -name \*.el`

ln -s ja ${RPM_BUILD_ROOT}/usr/lib/xemacs/mule-packages/etc/app-defaults/ja_JP.ujis
ln -s ja ${RPM_BUILD_ROOT}/usr/lib/xemacs/mule-packages/etc/app-defaults/ja_JP.eucJP

##
##  inflate some el.gz 
##  some packages need el file to configuration.
##

gzip -d ${RPM_BUILD_ROOT}/usr/lib/xemacs/xemacs-packages/lisp/auctex/tex-site.el.gz


DIR="${RPM_BUILD_ROOT}/usr/lib/xemacs/xemacs-packages"
INFO="*.info*"
EL="*.el.gz"

find $DIR -type d |
  sed -e "s#^${RPM_BUILD_ROOT}#%attr(-, root, root) %dir #g" > sumo-files

find $DIR -type l |
  sed -e "s#^${RPM_BUILD_ROOT}#%attr(-, root, root) %dir #g" >> sumo-files

find $DIR -name $INFO -type f |
  sed -e "s#^${RPM_BUILD_ROOT}#%attr(-, root, root) #g" >> sumo-files

find $DIR -not -name $INFO -name $EL -type f |
  sed -e "s#^${RPM_BUILD_ROOT}#%attr(-, root, root) #g" > sumo-el-files

find $DIR -not -name $INFO -not -name $EL -type f |
  sed -e "
    s#^${RPM_BUILD_ROOT}\(.*movemail\)#%attr(2755, root, mail) \1#g
    s#^${RPM_BUILD_ROOT}#%attr(-, root, root) #g
  " >> sumo-files

DIR="${RPM_BUILD_ROOT}/usr/lib/xemacs/mule-packages"
INFO="*.info*"
EL="*.el.gz"

find $DIR -type d |
  sed -e "s#^${RPM_BUILD_ROOT}#%attr(-, root, root) %dir #g" >> sumo-files

find $DIR -type l |
  sed -e "s#^${RPM_BUILD_ROOT}#%attr(-, root, root) %dir #g" >> sumo-files

find $DIR -name $INFO -type f |
  sed -e "s#^${RPM_BUILD_ROOT}#%attr(-, root, root) #g" >> sumo-files

find $DIR -not -name $INFO -name $EL -type f |
  sed -e "s#^${RPM_BUILD_ROOT}#%attr(-, root, root) #g" >> sumo-el-files

find $DIR -not -name $INFO -not -name $EL -type f |
  sed -e "
    s#^${RPM_BUILD_ROOT}\(.*movemail\)#%attr(2755, root, mail) \1#g
    s#^${RPM_BUILD_ROOT}#%attr(-, root, root) #g
  " >> sumo-files

patch -d ${RPM_BUILD_ROOT}/usr/lib/xemacs/xemacs-packages/etc/bbdb < %PATCH0
ln -s ../../lib/xemacs/mule-packages/etc/skk/SKK-JISYO.L \
	${RPM_BUILD_ROOT}/usr/share/skk/SKK-JISYO.L


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files -f sumo-files
%defattr(-,root,root)
/usr/share/skk/SKK-JISYO.L


%files el -f sumo-el-files
%defattr(-,root,root)

%changelog 
* Fri Mar  3 2000 Toshihiro Yamagishi<Toshihiro.Yamagishi@turbolinux.co.jp>
  - add apel-10.1 

* Thu Mar  2 2000 Toshihiro Yamagishi<Toshihiro.Yamagishi@turbolinux.co.jp>
  - delete apel-1.15, mew-1.08

* Mon Jan 28 2000 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
  - updated in sync with 2000-01-24 release

* Mon Jan 10 2000 Shoichi Suzuki<show-1@turbolinux.co.jp>
  - Add apel-1.15, mew-1.08

* Thu Dec 16 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
  - 19991215-1vl1
  - updated in sync with 1999-12-15 release

* Thu Dec 16 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
  - 19990729-8vl1
  - in sync with xemacs-21.1.8
  - this release now holds mule-base-1.32

* Mon Nov 29 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
  - 19990729-7vl3
  - apel-1.15 removed from this package
    (apel is now provided by wemi-xemacs package)

* Thu Nov 11 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
  - 19990729-7vl2
  - replaced time-stamp.{el,elc} with modified version
    (now time-stamp writes year in 4 digits)

* Wed Sep 29 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
  - 19990729-7vl1
  - xemacs-mule-sumo in the 19990729-7 and before mistakenly was
    1999-07-13 version ... now correctly holds 1999-07-29 verion
  - mule-base-1.31 is included with the release (as in the previous release)
    mule-base-1.32 in the xemacs-mule-sumo-1999-07-29 doesn't work
    correctly with xemacs 21.1.6 and before
  - included bug fixed version of egg-its-1.20

* Thu Sep 23 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
  - 19990729-7
  - replaced xemacs-packages/lisp/edit-utils/man.{el,elc}
    for patched version (based on the patch at
    http://www.on.rim.or.jp/~ryo2/archives/man.el.xemacs-patch)

* Sun Aug 29 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
  - 19990729-6
  - slight modification for the %prep section

* Thu Aug 26 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
  - 19990729-5
  - specs slightly modified

* Sun Aug  8 1999 Taniguchi Yasuaki <yasuaki@matx.org>
  - Apply perl patch

* Wed Aug  4 1999 Taniguchi Yasuaki <yasuaki@matx.org>
  - Combine sumo-mule into sumo package

* Fri Jul 23 1999 Taniguchi Yasuaki <cr067197@e.cc.titech.ac.jp>
  - 1st release
